#!/bin/sh
#
# Author: ingo.wilken@cewecolor.de
#
# The program will check the BROWSER environment variable first
# (see http://www.catb.org/~esr/BROWSER/index.html), if that fails,
# it runs this script.
URL=$1
HERE=`dirname $0`

if [ "$KDE_FULL_SESSION" != "" ]
then
	kfmclient openURL "$URL"
elif [ "$GNOME_DESKTOP_SESSION_ID" != "" ]
then
	gnome-open "$URL"
elif [ "$DTUSERSESSION" != "" ] # Solaris CDE
then
	nohup $HERE/run-browser-cde.sh "$URL" &
else
	exit 1
fi

